osgAnimation::KeyframeContainer Class Referenceabstract

`#include <Keyframe>`

Inheritance diagram for osgAnimation::KeyframeContainer:

## Public Member Functions

| KeyframeContainer ()
virtual unsigned int | size () const =0
virtual unsigned int | linearInterpolationDeduplicate ()=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

| ~KeyframeContainer ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

std::string | _name
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## KeyframeContainer()

osgAnimation::KeyframeContainer::KeyframeContainer | ( |  | ) |

inline

## ~KeyframeContainer()

osgAnimation::KeyframeContainer::~KeyframeContainer | ( |  | ) |

inline protected

## Member Function Documentation

## linearInterpolationDeduplicate()

virtual unsigned int osgAnimation::KeyframeContainer::linearInterpolationDeduplicate | ( |  | ) |

pure virtual

Implemented in osgAnimation::TemplateKeyframeContainer< T >, osgAnimation::TemplateKeyframeContainer< double >, osgAnimation::TemplateKeyframeContainer< DoubleCubicBezier >, osgAnimation::TemplateKeyframeContainer< float >, osgAnimation::TemplateKeyframeContainer< FloatCubicBezier >, osgAnimation::TemplateKeyframeContainer< KeyframeType >, osgAnimation::TemplateKeyframeContainer< osg::Matrixf >, osgAnimation::TemplateKeyframeContainer< osg::Quat >, osgAnimation::TemplateKeyframeContainer< osg::Vec2 >, osgAnimation::TemplateKeyframeContainer< osg::Vec3 >, osgAnimation::TemplateKeyframeContainer< osg::Vec3us >, osgAnimation::TemplateKeyframeContainer< osg::Vec4 >, osgAnimation::TemplateKeyframeContainer< typename SamplerType::KeyframeType >, osgAnimation::TemplateKeyframeContainer< Vec2CubicBezier >, osgAnimation::TemplateKeyframeContainer< Vec3CubicBezier >, osgAnimation::TemplateKeyframeContainer< Vec3Packed >, and osgAnimation::TemplateKeyframeContainer< Vec4CubicBezier >.

## size()

virtual unsigned int osgAnimation::KeyframeContainer::size | ( |  | ) | const

pure virtual

Implemented in osgAnimation::TemplateKeyframeContainer< T >, osgAnimation::TemplateKeyframeContainer< double >, osgAnimation::TemplateKeyframeContainer< DoubleCubicBezier >, osgAnimation::TemplateKeyframeContainer< float >, osgAnimation::TemplateKeyframeContainer< FloatCubicBezier >, osgAnimation::TemplateKeyframeContainer< KeyframeType >, osgAnimation::TemplateKeyframeContainer< osg::Matrixf >, osgAnimation::TemplateKeyframeContainer< osg::Quat >, osgAnimation::TemplateKeyframeContainer< osg::Vec2 >, osgAnimation::TemplateKeyframeContainer< osg::Vec3 >, osgAnimation::TemplateKeyframeContainer< osg::Vec3us >, osgAnimation::TemplateKeyframeContainer< osg::Vec4 >, osgAnimation::TemplateKeyframeContainer< typename SamplerType::KeyframeType >, osgAnimation::TemplateKeyframeContainer< Vec2CubicBezier >, osgAnimation::TemplateKeyframeContainer< Vec3CubicBezier >, osgAnimation::TemplateKeyframeContainer< Vec3Packed >, and osgAnimation::TemplateKeyframeContainer< Vec4CubicBezier >.

## Member Data Documentation

## _name

std::string osgAnimation::KeyframeContainer::_name

protected

The documentation for this class was generated from the following file:

- Keyframe